package core

import (
	ctypes "git.cw.tr/mukan-network/mukan-consensus/rpc/core/types"
	rpctypes "git.cw.tr/mukan-network/mukan-consensus/rpc/jsonrpc/types"
)

// UnsafeFlushMempool removes all transactions from the mempool.
func (env *Environment) UnsafeFlushMempool(*rpctypes.Context) (*ctypes.ResultUnsafeFlushMempool, error) {
	env.Mempool.Flush()
	return &ctypes.ResultUnsafeFlushMempool{}, nil
}
